if (SERVER) then
	AddCSLuaFile("sh_blink.lua")
end

if (SERVER) then
	CreateConVar("ycb_enable", "1", FCVAR_ARCHIVE + FCVAR_NOTIFY)
	resource.AddFile("scpeye/eyeview.vmt")
	resource.AddFile("scpeye/eyeview.vtf")
else
	--This was a request from Cr1tikal
	local alpha = 255
	local BlinkInterval = 2.5 
	-- Time you want multiplied by 3 in this case it would be (2.5 x 3 = 7)
	-- For example if I chose 10 seconds it would be 10/3 = 3.3
	-- Replace 2.5 above with 3.3 and you'll blink every 10 seconds.
	function DrawEyes()
		if GetConVarNumber("ycb_enable") == 0 then return end
		local ply = LocalPlayer()
		if ply:Alive() then
			if !settime then
				mytime = CurTime()
			end
			local time = CurTime() - mytime
			
			alpha = math.Clamp(math.tan(time/BlinkInterval)*3, 0, 240)
			draw.RoundedBox(0, 0, 0, ScrW(), ScrH(), Color(0,0,0,alpha))
			draw.TexturedQuad
			{
				texture = surface.GetTextureID "scpeye/eyeview",
				color = Color(255,255,255,255),
				x = 0,
				y = 0,
				w = ScrW(),
				h = ScrH()
			}
			settime = true
		else 
			settime = false
			draw.TexturedQuad
			{
				texture = surface.GetTextureID "scpeye/eyeview",
				color = Color(255,255,255,255),
				x = 0,
				y = 0,
				w = ScrW(),
				h = ScrH()
			}
		end
	end
	hook.Add("HUDPaint", "PaintEyes", DrawEyes)
	--ragspec by elevator13/Jinto
	local function CalcView(pl, origin, angles, fov)
		local ragdoll = pl:GetRagdollEntity();
		if( !ragdoll or ragdoll == NULL or !ragdoll:IsValid() ) then return end

		local eyes = ragdoll:GetAttachment(ragdoll:LookupAttachment("eyes"))
		local view = {
			origin = eyes.Pos,
			angles = eyes.Ang,
			fov = 90, 
		}
		
	return view
	end
	hook.Add( "CalcView", "DeathView", CalcView )
end